Bug 98181 - Scrolling down with Touchpad by two finger gesture inacurate / not working
Summary: Scrolling down with Touchpad by two finger gesture inacurate / not working
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 98137 (view as bug list)
Depends on:
Blocks: Scrolling-PageUpDown
  Show dependency treegraph
 
Reported: 2016-02-25 13:11 UTC by Florijan Hamzic
Modified: 2019-08-24 20:10 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Screencast while trying to scroll down (261.50 KB, video/webm)
2016-02-25 13:11 UTC, Florijan Hamzic
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Florijan Hamzic 2016-02-25 13:11:07 UTC
Created attachment 122987 [details]
Screencast while trying to scroll down

In the new version i can not scroll down anymore, it always tries then to go up and jumps up down... weirdly

Please take a look on the attached screencast
Comment 1 V Stuart Foote 2016-02-25 19:40:31 UTC
What Linux flavor and DE are you using? Does changing to a different DE have any affect? And what of enabling/disabling OpenGL?
Comment 2 Florijan Hamzic 2016-02-25 20:09:07 UTC
ArchLinux w/ Gnome-Shell 3.18.3
Linux 4.4.1-2-ARCH #1 SMP PREEMPT Wed Feb 3 13:12:33 UTC 2016 x86_64 GNU/Linux

Everything else behave normal qt, gtk, java application, what do you mean with DE (Desktop enviroment?) you should write it out otherwise people will not be able to understand you.

If you mean Desktop Environment then sorry i can't change it, but i will give an older version (of libreOffice) a try.

I wonder which function of openGL or the "DE" would influence libeOffice in such a way that i can't scroll down but in any other direction. Do you have beef with them :P? (i don't expect an answer)

Thanks for your effort
Comment 3 Florijan Hamzic 2016-02-25 20:39:26 UTC
I just closed all my stuff and reloaded and then tried it with plain X11 (startx) Window Manager.  It's the same with scroll down it doesn't work as expected.

PgUp and PgDown, Up and Down Keys are working fine too.

Am i the only one with this version, gnome and a touchpad where scrolling down is broken??
Comment 4 Florijan Hamzic 2016-02-25 20:40:55 UTC
s/reloaded/restarted/
Comment 5 John Hart 2016-02-25 21:43:25 UTC
Add my computer to the no two finger scroll.  Center wheel on wireless mouse works.
Two scroll does not work in Ubuntu 15.10, LibreOffice 5.1.0.3

On my other computer using Ubuntu 14.04LTS LibreOffice 5.1.0.3 two scroll WORKS.
Comment 6 Arvid Axelsson 2016-03-04 13:54:26 UTC
I'm also affected by this bug. Using both i3wm and plasma 5. Using an Elan touchpad.
Comment 7 Robinson Tryon (qubit) 2016-03-06 06:58:05 UTC
(In reply to John Hart from comment #5)
> Add my computer to the no two finger scroll.  Center wheel on wireless mouse
> works.
> Two scroll does not work in Ubuntu 15.10, LibreOffice 5.1.0.3

(In reply to Arvid Axelsson from comment #6)
> I'm also affected by this bug. Using both i3wm and plasma 5. Using an Elan
> touchpad.

Looks like enough repro for further investigation, so
Status -> NEW

Can anyone reproduce the results with a 5.2.x (dev) build?
Comment 8 Buovjaga 2016-03-17 12:00:01 UTC
*** Bug 98137 has been marked as a duplicate of this bug. ***
Comment 9 QA Administrators 2017-05-22 13:19:07 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522